package com.youchain.businessdata.service;

import com.youchain.annotation.Log;
import com.youchain.businessdata.inputJson.*;
import io.swagger.annotations.ApiOperation;

import java.util.concurrent.ExecutionException;

/**
 * MLS接口
 */
public interface MlsService {

    /**
     * 获取ToKen
     * @return
     */
    String getToKen();

    /**
     * 获取送货单JSON
     * @return
     */
    String getOrderJson(OrderInfo orderInfo);

    /**
     * 获取送货单信息
     * @return
     */
    void getOrderInfo(String resultJson);


    /**
     * 获取MO票JSON
     * @return
     */
    String getMoJson(MoInfo moInfo);

    /**
     * 获取MO票信息
     * @return
     */
    void getMoInfo(String resultJson);

    /**
     * 获取叫料指令
     * @return
     */
    void getIssueInfo(IssueInfo issueInfo);


    /**
     * 回传MO票
     * @return
     */
    String returnMo(ReturnMoInfo returnMoInfo);

    /**
     * 叫料结果回传
     * @return
     */
    String returnIssue(ReturnIssueInfo returnIssueInfo);
}
